This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 132744 - The pdftops filter incorrectly auto-rotates pages when the user already had specified the proper orientation
The pdftops filter incorrectly auto-rotates pages when the user already had s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 12:56 EDT by Ernie Joynt
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 13:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ernie Joynt 2004-09-16 12:56:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
When a user printing from a Mac OS X system sets a document to
landscape and prints it, the output is incorrectly rotated on the
output page.  Mac OS X printing system sends PDF to the print server,
then cups uses the pdftops print filter to process, then pstops print
filter is used.  Both of which are putting rotate directives in the PS
that is sent to tthe printer. This bug has been identified by the cups
development team as STR #207 and fixed in CUPS v1.1.20rc1. 

http://www.cups.org/str.php?L207
http://www.cups.org/relnotes.php

A quick but temporary fix for us was to take the pdftops filter
program from a Fedore Core 2 install, cups-1.1.20-6 and put  it at
/usr/lib/cups/filter/pdftops.

Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.13

How reproducible:
Always

Steps to Reproduce:
1. on a Mac OS X client in TextEdit create a document 
2. set page orientation to landscape
3. print
    

Actual Results:  the printed text is in landscape orientation but the
paper is in portrait oreintation.  The printed text is at 90 degrees
to the page orientation:

________
|text is here
|       |
|       |
|       |
|_______|

Expected Results:  the printed text should be properly aligned with
the page orientation in landscape mode.

______________
|text is here |
|             |
|             |
|_____________|

Additional info:

Note You need to log in before you can comment on or make changes to this bug.